Home_greyopenFATE - openSUSE feature tracking > #309252
Dashboard | Search | Sign up | Login

Please login or register to be able to edit or vote this feature.

Make vendor change updates visible and easy to install

Feature state

openSUSE-11.3
Evaluation By Productmanager

Description

It requires too much work and knowledge to perform vendor changing updates - especially if you only want single packages and not switch vendor for every package in a repo.

I suggest to make single vendor changing updates easily installable via the sw_single Search tab. For example like this:

1) Make the existence of the update possibility visible with colouring - similar to current red and blue packages.

2) Make the vendor changing package installable via the context menu - Right click package -> Update with vendor change

Discussion


icons/user_comment.png A. M. wrote: (8 years ago)

I strongly support this feature. Given the fact that e.g. my openSUSE installation contains various repos it is currently very difficult to keep  "up to date".

icons/user_comment.png P. B. wrote: (8 years ago)

Couldn't agree more, the "vendor protection feature" has been very difficult to explain and clearly counter-inituitive in several scenarios (such as "zypper lu" showing a newer version, but "zypper up" not doing anything).

Also see the bugzilla item this request originated from: https://bugzilla.novell.com/show_bug.cgi?id=548089

icons/user_comment.png J. E. wrote: (8 years ago)

The vendor protection is much of a non-protection. When doing zypper in xine or something like that for the first time, I'm getting libschroedinger.pm instead of libschroedinger.suse, for example. The vendor protection is also not quite considered on dup, so that dup will generally switch from libschroedinger.suse back to libschroedinger.pm again.

Last change: 8 years ago
Voting
Score: 11
  • Negative: 1
  • Neutral: 0
  • Positive: 12
Tags
Feature Export
Application-xmlXML   Text-x-logPlaintext   PrinterPrint